Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

#1 Le 06/02/2006, à 11:37

Tengu

Mono et ces dépendances posent problèmes

Salut à toutes et à tous,
voilà j'ai un tout petit problème, je souhaite exploiter MONO, pour faire du gtk sharp ( hi hi c'est fait pour ça ), Je l'ai installer simplement  pas en entier, apparemment, car j'ai des problèmes de dépendances. L'installation, je l'ai effectué via synaptic... puis par apt-get pour essayer de voir pourquoi ça bloque. Le problème vient de paquets defectueux...

Les paquets suivants contiennent des dépendances non satisfaites :
  mono: Dépend: mono-common (= 1.1.13.2-0pre1) mais 1.1.8.3-1ubuntu2 devra être installé
        Dépend: mono-jit (= 1.1.13.2-0pre1) mais ne sera pas installé
E: Paquets défectueux

C'est la dernière version de mono, qui figure  dans ce dépôt   [deb http://debian.meebey.net/ ./] .
Je souhaiterais savoir est-ce que c'est possible d'installer cette version?
ou je dois installer une ancienne?
Et aussi, s'il y a une subtilité à faire pour installer mono?

Merci de votre aide à bientôt

Hors ligne

#2 Le 06/02/2006, à 13:30

thx1138

Re : Mono et ces dépendances posent problèmes

C'est pas vraiment un problème de Développement/Programmation mais plutôt un problème de gestion des paquets.
En l'occurence, un problème de «policy» de paquets.

Tu as la méthode bourrin où tu spécifies la version du paquet que tu veux installer

apt-get install mono-common=1.1.13.2-0pre1 mono-jit=1.1.13.2-0pre1 (...)

Ou tu as la méthode plus complexe mais plus propre, qui consiste à aller voir dans les «priorités» des paquets.

Tu peux savoir quelles versions sont disponibles - et surtout lesquelles il va prendre - via

apt-cache policy nom_du_paquet

They did not know it was impossible, so they did it - Mark Twain

Hors ligne

#3 Le 06/02/2006, à 13:47

sbrunner

Re : Mono et ces dépendances posent problèmes

Je t'avertit tout de suite de vouloir utiliser des dépôts fais pour Debian sur Ubuntu c'est dangereux sad
Par contre tu peut essayer de compiler mono depuis un déport de sources tel que

deb-src http://people.debian.org/~formorer/mono backports main

ça peut ne pas être simple mais ça marche et surtout c'est beaucoup moin dangereux big_smile

CU
Stéph

Hors ligne

#4 Le 06/02/2006, à 16:28

Tengu

Re : Mono et ces dépendances posent problèmes

Okey, je supprime tout et je recommence...
Tu penses que c'est si dangereux que ça d'installer des paquets debian sur ubuntu?
Pourtant, ubuntu est basé 100% debian...

J'ai fait un apt-cache policy mono

mono:
  Installé : (aucun)
  Candidat : 1.1.8.3-1ubuntu2
 Table de version :
     1.1.8.3-1ubuntu2 0
        500 http://ch.archive.ubuntu.com breezy/main Packages

Donc, apparemment la dernière version n'est pas disponible pour ubuntu? c'est la 1.1.13.x



Merci

Dernière modification par Tengu (Le 06/02/2006, à 17:08)

Hors ligne

#5 Le 06/02/2006, à 16:51

sbrunner

Re : Mono et ces dépendances posent problèmes

Oui Ubuntu est base sur Debian mais forcement les version des paquets ne sont pas identifier et donc si le dépor n'est pas fais pour les 2 cela crée des problème de dépendance comme tu a !
De plus Ubuntu ne garanti (du moins pour l'instant) aucune compatibilité binaire mais une compatibilité au niveau de sources, c'est ce pourquoi il vaut mieux recompiler cool
J'ai fais une petite page pour avoir une base en ce qui concerne la compilation soue Debian :
http://fr.wikipedia.org/wiki/Utilisateur:Sbrunner/Cr%C3%A9ation_de_paquets_Debian#Compilation_depuis_deb-src

J'espère que je ne suis pas trop obscure !

CU
Stéph

Hors ligne

#6 Le 06/02/2006, à 17:15

Tengu

Re : Mono et ces dépendances posent problèmes

non ça va tout bien, en plus je l'avais lu dans un des magazines consacré à ubuntu...
Mais faut croire que, ça m'est pas resté...Merci de me l'avoir rappeler.

Pas mal ton wiki, moi j'ai acheté y 10 mois  ce bouquin: Debian GNU/Linux, de Franck Ronneburg.
C'est pas mal bien expliquer je trouve.

Merci pour ton aide

Hors ligne

#7 Le 06/02/2006, à 18:20

Tengu

Re : Mono et ces dépendances posent problèmes

C'est encore moi,
Bon voilà, j'ai denouveau réinstaller mono, mais cette fois-ci , j'ai utilisé Mono 1.1.13.2_0 Installer.
Je me le suis procurer à cette url : http://www.mono-project.com/Downloads .
Donc, j'ai testé le fichier via md5sum, il est ok. Puis, j'ai exécuter l'installer. L'opération, c'est déroulée sans soucis.
L'icône a étée crée sur le bureau.

Simplement, une chose me tracasse, c'est que dans le fichier readme, figure des rpms, et pour autant que je sache, c'est redhat qui utilise de rpms?
(fedora et suse, peut-être mandrake euh pardon mandriva aussi).

Lors de l'execution aussi, je n'ai pas d'interface de mono...est-ce possible que ce sois dû au rpms qui n'ont pas été installer?
Dois-je trouver l'equivalent en .deb?

Merci de votre aide...

Hors ligne

Haut de page ↑